---

- name: Install/upgrade plugins
  become: true
  shell: |
    /sbin/grafana-cli --pluginsDir {{ grafana_paths.plugins }} plugins install {{ item.name }} {{ item.version }}
  register: is_cli_success
  notify: Restart grafana

- when: is_cli_success.failed is true
  block:

    - name: Check archive already downloaded
      stat:
        path: "/tmp/{{ item.filename }}"
      register: stat_result

    - name: Download grafana plugin {{ item.filename }}
      include_role:
        name: get_file
      vars:
        get_file_file_owner: "{{ grafana_user }}"
        get_file_file_name: "distr/grafana/plugins/{{ item.filename }}"
        get_file_file_dest: /tmp/
      when: stat_result.stat.exists is false

    - name: Unarchive plugin {{ item.filename }}
      unarchive:
        src: "/tmp/{{ item.filename }}"
        dest: "{{ grafana_paths.plugins }}"
        owner: "{{ grafana_user }}"
        group: "{{ grafana_group }}"
        remote_src: true
